Retrieve a product or service
https://carchost.fieldcontrol.com.br/products-services/{id}Returns a product or service by identifier. In accounts with the inventory control module, a product comes with its balance in each storage (storageProducts).
Requires the
X-Api-KeyandUser-Agentheaders. Limit: 1 request per second (learn more).
Request
Path parameters
idstringrequiredProduct or service identifier.
Example: NmIzYWU1NGItN2IxNi00NzQ2LTg4ZmUtOGM2ZjY3YzlhOTMxOjIyOTE1.
Headers
User-AgentstringrequiredIdentification of your application.
Example: MinhaIntegracao/1.0.
Responses
- 200
Product or service found.
- 401
API key missing (
Missing API Key) or invalid (Invalid API Key). See Authentication. - 403
Account blocked (
Account blocked), expired (Account expired) or on a plan that does not allow integration (Account plan not allowed). See Authentication. - 404
Resource not found. The response body is empty.
- 422
Invalid identifier in the path or one from another account (uriValidationErr), or invalid query parameter (parametersValidationErr). A valid identifier that does not exist returns 404.
- 429
Limit of 1 request per second exceeded. See Rate limit.
- 500
Unexpected server error.